<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".MainActivity">

    <ScrollView
        android:id="@+id/scrollView1"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        tools:ignore="UselessParent">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical" >
            <Button
                android:id="@+id/btn_test"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="系统服务广播接收测试" />

            <Button
                android:id="@+id/btn_start_serial"
                android:text="串口工具"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <Button
                android:id="@+id/btn_navigation_bar"
                android:text="永久隐藏/显示底部导航栏"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <Button
                android:id="@+id/btn_rotation"
                android:text="旋转屏幕方向"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <Button
                android:id="@+id/btn_get_chipid"
                android:text="获取CHIP ID"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <TextView
                android:id="@+id/tv_chipid"
                android:text="chip id"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <Button
                android:id="@+id/btn_reboot"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="重启" />

            <Button
                android:id="@+id/btn_shutdown"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="关机" />
        </LinearLayout>
    </ScrollView>


</LinearLayout>